function [kk,mm]=constraints(kk,mm,bcdof)

% %%%  Function Description:
%     This function applies constraints to eigenvalue matrix equation 
%

 n=length(bcdof); %     bcdof - a vector containging constrained d.o.f
 sdof=size(kk);
 
 for i=1:n
    c=bcdof(i);
    for j=1:sdof
       kk(c,j)=0;
       kk(j,c)=0;
       mm(c,j)=0;
       mm(j,c)=0;
    end
    kk(c,c)=1;
    mm(c,c)=1;
 end

